integrity checksum failed when using sha512 @schematics/angular@7.3.8

What I Wanted to Do

Install the angular cli

npm install -g @angular/cli

What Happened Instead

WARN tarball tarball data for @schematics/angular@7.3.8 (sha512-7o90bnIxXNpJhWPDY/zCedcG6KMIihz7a4UQe6UdlhEX21MNZLYFiDiR5Vmsx39wjm2EfPh3JTuBIHGmMCXkQQ==) seems to be corrupted. Trying one more time.

WARN tarball tarball data for @schematics/angular@7.3.8 (sha512-7o90bnIxXNpJhWPDY/zCedcG6KMIihz7a4UQe6UdlhEX21MNZLYFiDiR5Vmsx39wjm2EfPh3JTuBIHGmMCXkQQ==) seems to be corrupted. Trying one more time.

npm ERR! code EINTEGRITY

npm ERR! Verification failed while extracting @schematics/angular@7.3.8:

npm ERR! Verification failed while extracting @schematics/angular@7.3.8:

npm ERR! sha512-7o90bnIxXNpJhWPDY/zCedcG6KMIihz7a4UQe6UdlhEX21MNZLYFiDiR5Vmsx39wjm2EfPh3JTuBIHGmMCXkQQ== integrity checksum failed when using sha512: wanted sha512-7o90bnIxXNpJhWPDY/zCedcG6KMIihz7a4UQe6UdlhEX21MNZLYFiDiR5Vmsx39wjm2EfPh3JTuBIHGmMCXkQQ== but got sha512-1e9FK77nRryvZuxnuEb5bmrTl9sMJPzq9IK8EVDm+zl7viro6HQn8+okUIoIi2BuJ5U3cUZe36VZGW5h1mgkKA==. (59038 bytes)

See above

Reproduction Steps

on mac OSX Sierra: uninstall nvm, npm, and node.
Reinstall nvm
nvm install 10.15.3
nvm use 10.15.3
npm install -g @angular/cli

or
npm install -g @schematics/angular@7.3.8

Details

2019-04-30T15_22_29_214Z-debug.log (146.8 KB)

Platform Info

$ npm --versions
{ npm: '6.4.1',
  ares: '1.15.0',
  cldr: '33.1',
  http_parser: '2.8.0',
  icu: '62.1',
  modules: '64',
  napi: '3',
  nghttp2: '1.34.0',
  node: '10.15.3',
  openssl: '1.1.0j',
  tz: '2018e',
  unicode: '11.0',
  uv: '1.23.2',
  v8: '6.8.275.32-node.51',
  zlib: '1.2.11' }

$ node -p process.platform
darwin

This topic was automatically closed 90 days after the last reply. New replies are no longer allowed.